# class Loofah::XML::DocumentFragment

Subclass of Nokogiri::XML::DocumentFragment.

See Loofah::ScrubBehavior for additional methods.

### Public Class Methods

parse(tags) click to toggle source

Overridden Nokogiri::XML::DocumentFragment constructor. Applications should use Loofah.fragment to parse a fragment.

    # File lib/loofah/xml/document_fragment.rb, line 15
    def parse tags
      doc = Loofah::XML::Document.new
      doc.encoding = tags.encoding.name if tags.respond_to?(:encoding)
      self.new(doc, tags)
    end